--- a/Makefile
+++ b/Makefile
@@ -1,34 +1,12 @@
-# EDIT THESE SETTINGS
-
-PLIBPREFIX=/usr
-ODEPREFIX=/usr
-CXX=g++
-
-#PLIBPREFIX=$(HOME)
-#ODEPREFIX=$(HOME)
-#CXX=g++-4.0
-
-# END OF CUSTOM SETTINGS
-
-CXXFLAGS=\
-  -I$(ODEPREFIX)/include \
-  -I$(PLIBPREFIX)/include \
-  -I../src-common \
-  -O2 -g -Wall
-
-LFLAGS=\
-  -L$(PLIBPREFIX)/lib \
-  -L/usr/X11R6/lib
-
 OBJS=staticworldobject.o crashtest.o dynamicobject.o cartobject.o
+CXXFLAGS+=-I `fltk-config --includedir` `ode-config --cflags`
 
-LIBS= $(ODEPREFIX)/lib/libode.a -lplibssgaux -lplibssg -lplibsg -lplibpu -lplibfnt -lplibul -lGLU -lGL `fltk-config --use-gl --use-images --ldflags`
-
+LIBS= `ode-config --libs` -lplibssgaux -lplibssg -lplibsg -lplibpu -lplibfnt -lplibul -lGLU -lGL `fltk-config --use-gl --use-images --ldflags` -lglut
 
 all: crashtest
 
 crashtest: $(OBJS)
-	$(CXX) -o crashtest $(OBJS) $(LFLAGS) $(LIBS)
+	$(CXX) -o crashtest $(OBJS) $(LDFLAGS) $(LIBS)
 
 staticworldobject.o: ../src-common/staticworldobject.cxx ../src-common/staticworldobject.h ../src-common/worldobject.h
 	$(CXX) -c $(CXXFLAGS) ../src-common/staticworldobject.cxx
@@ -37,10 +14,10 @@
 	$(CXX) -c $(CXXFLAGS) ../src-common/dynamicobject.cxx
 
 cartobject.o: cartobject.cxx cartobject.h
-	$(CXX) -c $(CXXFLAGS) cartobject.cxx
+	$(CXX) -c $(CXXFLAGS) -I../src-common cartobject.cxx
 
 crashtest.o: crashtest.cxx crashworld.h ../src-common/modelmap.h cartobject.h bipedobject.h ../src-common/brickwall.h ../src-common/stereocontext.h ../src-common/usercam.h
-	$(CXX) -c $(CXXFLAGS) crashtest.cxx
+	$(CXX) -c $(CXXFLAGS) -I../src-common crashtest.cxx
 
 
 
@@ -48,13 +25,13 @@
 	PLODE_DATADIR=`pwd` ./crashtest
 
 
-GAMEDIR=$(DESTDIR)/usr/share/games/crashtest
+GAMEDIR=$(DESTDIR)@GENTOO_DATADIR@
 install: crashtest
 	# Directories
-	mkdir -p $(DESTDIR)/usr/games/
+	mkdir -p $(DESTDIR)@GENTOO_BINDIR@
 	mkdir -p $(GAMEDIR)/models/
 	# Binary
-	install crashtest $(DESTDIR)/usr/games/crashtest
+	install crashtest $(DESTDIR)@GENTOO_BINDIR@
 	# Models
 	install -m 644 models/testground.3ds $(GAMEDIR)/models/testground.3ds
 	install -m 644 models/biped_torso.3ds $(GAMEDIR)/models/biped_torso.3ds
--- a/crashtest.cxx
+++ b/crashtest.cxx
@@ -615,13 +615,7 @@
 
 int main(int argc, char *argv[]) 
 {
-  char *bindirname  = dirname(argv[0]);
-  if (!strcmp(bindirname,"."))
-    dirprefix="/usr/share/games/crashtest";
-  else
-  {
-    dirprefix = dirname(bindirname) + std::string("/share/games/crashtest");
-  }
+  dirprefix="@GENTOO_DATADIR@";
   if (getenv("PLODE_DATADIR"))
     dirprefix = getenv("PLODE_DATADIR");
   modelmap = new ModelMap(dirprefix);
@@ -745,4 +739,3 @@
   Fl::add_idle(idle, &simwin);
   Fl::run();
 }
-
